Bug Hunting Session
Bug 49178 - CRASH when FILEOPEN particular RTF
Summary: CRASH when FILEOPEN particular RTF
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 RC2
Hardware: Other Windows (All)
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:3.7.0 target:3.5.5 target:3.6....
Keywords: regression
: 47353 49775 51112 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-04-26 09:20 UTC by Rainer Bielefeld Retired
Modified: 2012-08-10 10:57 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Document causing Crash (13.56 KB, application/rtf)
2012-04-26 09:20 UTC, Rainer Bielefeld Retired
Details
backtrace with symbols (10.90 KB, text/plain)
2012-04-29 06:25 UTC, Julien Nabet
Details
Bug 49178: how the file looks in LibreOffice 3.5.3.2 (RC2) on MacOS X 10.6.8 (219.26 KB, image/png)
2012-04-30 08:09 UTC, Roman Eisele
Details
how bugdoc looks like in LO 3.5.4rc0+ (166.43 KB, image/png)
2012-04-30 12:21 UTC, Jean-Baptiste Faure
Details
Correct view of Example file in MS Office 2010 (29.38 KB, image/png)
2012-05-02 09:56 UTC, Aaron
Details
Bug 49178 - WinDbg session (13.98 KB, text/plain)
2012-06-01 00:46 UTC, bfoman (inactive)
Details
proposed patch (901 bytes, text/plain)
2012-06-11 13:38 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-04-26 09:20:58 UTC
Created attachment 60619 [details]
Document causing Crash

"LibreOffice 3.5.3.2 (RC2) German UI/Locale [Build-ID: 235ab8a-3802056-4a8fed3-2d66ea8-e241b80] on German WIN7 Home Premium (64bit) crashes when I open document created by filesave as Example_353.rtf from sample
<https://bugs.freedesktop.org/attachment.cgi?id=60615> in
"Bug 49172 - FILESAVE particular RTF destroys TABLE and document" (attached here)

Although the document is a damaged one, LibO should not crash opening damaged documents. 

3.4.5 did not crash, so we have a regression here.

Also crashed with 3.5.0RC2

NO crash with Server installation of Master "LibO-dev 3.5.0 – WIN7 Home Premium (64bit) ENGLISH UI [(Build ID:  d38713d-5d03837-ca7e6f5-c4bb9bd-ce71330)]" (Voreppe_Win32_Tinderbox 2011-11-15)

@Miklós:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept
this Bug.
Comment 1 Julien Nabet 2012-04-29 06:25:52 UTC
Created attachment 60769 [details]
backtrace with symbols

I reproduced the pb on pc Debian x86-64 with master branch updated today so I attached bt with symbols.
Comment 2 Julien Nabet 2012-04-29 07:15:00 UTC
warn:legacy.osl:3270:1:/home/julien/compile-libreoffice/libo/tools/source/fsys/urlobj.cxx:3471: INetURLObject::checkHierarchical vnd.sun.star.expand
warn:sw:3270:1:/home/julien/compile-libreoffice/libo/sw/source/core/table/swnewtable.cxx:2163: Boxen der Line zu klein/gross
warn:sw:3270:1:/home/julien/compile-libreoffice/libo/sw/source/core/table/swnewtable.cxx:2163: Boxen der Line zu klein/gross
/usr/include/c++/4.6/debug/vector:313:error: attempt to subscript container 
    with out-of-bounds index -1, but container only holds 2 elements.

Objects involved in the operation:
sequence "this" @ 0x0x3383470 {
  type = NSt7__debug6vectorIiSaIiEEE;
}
Comment 3 Roman Eisele 2012-04-30 08:07:42 UTC
NO crash with LibreOffice LibreOffice 3.5.3.2 (RC2, Build-ID: 235ab8a-3802056-4a8fed3-2d66ea8-e241b80), German UI/Locale, running on MacOS X 10.6.8.

The RTF file "Example_353.rtf" opens without (obvious) problems. But it is hard to say whether it looks like intented or not; I will attach a screenshot showing how the documents looks now in LibreOffice Writer.

I don't know what this means. The bug looks like one common to all platforms (see description: Windows 7, and comment 1: Debian), but it does not cause a crash on MacOS X.

From the original description I infer that Miklós' mail address should be in the CC list, but it isn't there, so I add it.
Comment 4 Roman Eisele 2012-04-30 08:09:44 UTC
Created attachment 60794 [details]
Bug 49178: how the file looks in LibreOffice 3.5.3.2 (RC2) on MacOS X 10.6.8
Comment 5 Jean-Baptiste Faure 2012-04-30 12:21:08 UTC
Created attachment 60803 [details]
how bugdoc looks like in LO 3.5.4rc0+

No crash with LO 3.5.4 rc0+ under Ubuntu 11.10 x86_64
Seems to be a MS-Windows-only issue.

Best regards. JBF
Comment 6 Aaron 2012-05-02 09:55:31 UTC
(In reply to comment #4)
> Created attachment 60794 [details]
> Bug 49178: how the file looks in LibreOffice 3.5.3.2 (RC2) on MacOS X 10.6.8

Screenshot shows that file was opened incorrectly.
The correct view is attached as ExampleInOffice2010.png
Comment 7 Aaron 2012-05-02 09:56:56 UTC
Created attachment 60910 [details]
Correct view of Example file in MS Office 2010
Comment 8 bfoman (inactive) 2012-06-01 00:46:35 UTC
Created attachment 62360 [details]
Bug 49178 - WinDbg session

Confirmed with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Crash while loading.

Attached full WinDbg session with mini dump file loaded generated by procdump soffice.bin -h.
Comment 9 s-joyemusequna 2012-06-11 08:20:26 UTC
Works fine with LibO 3.4.5, crashes with LibO 3.4.5 and LOdev 3.7 (master - 06-Jun-2012 04h12 x86@6-fast; Build ID: b255de8) => REGRESSION

Tested under Windows XP and Vista 64.
Comment 10 Julien Nabet 2012-06-11 13:38:42 UTC
Created attachment 62903 [details]
proposed patch

I propose the patch attached. With it, I could open the file from Writer.

(Notice that the file can be opened from Calc).

Tests made on pc Debian x86-64 on master sources updated today.
Comment 11 Not Assigned 2012-06-12 10:57:54 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=104badf31c8a39994cadc460561bfa01e428b67b

Resolves: fdo#49178 CRASH when FILEOPEN particular RTF
Comment 12 Not Assigned 2012-06-13 00:52:05 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7588fa7a534a217e3949013b7c373fbb5503d466&g=libreoffice-3-5

Resolves: fdo#49178 CRASH when FILEOPEN particular RTF


It will be available in LibreOffice 3.5.6.
Comment 13 Not Assigned 2012-06-13 00:52:30 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=54ffca05745da60db73d331bbad4af175aaf1788&g=libreoffice-3-6

Resolves: fdo#49178 CRASH when FILEOPEN particular RTF


It will be available in LibreOffice 3.6.
Comment 14 Miklos Vajna 2012-06-15 03:26:14 UTC
*** Bug 49775 has been marked as a duplicate of this bug. ***
Comment 15 Julien Nabet 2012-06-18 12:19:04 UTC
Rainer: I put it at RESOLVED/FIXED.
If I'm wrong, don't hesitate of course to reopen this tracker.
Comment 16 Julien Nabet 2012-06-21 15:12:05 UTC
*** Bug 47353 has been marked as a duplicate of this bug. ***
Comment 17 Not Assigned 2012-06-26 03:41:02 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-3-5-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6b989477dc3d4b1c3296f65e18028090669cf9f2&g=libreoffice-3-5-5

Resolves: fdo#49178 CRASH when FILEOPEN particular RTF


It will be available already in LibreOffice 3.5.5.
Comment 18 Rainer Bielefeld Retired 2012-08-03 09:15:40 UTC
We need exact and correct target information for automated lists in Wiki and LibO Web Site.
Comment 19 Miklos Vajna 2012-08-10 10:57:51 UTC
*** Bug 51112 has been marked as a duplicate of this bug. ***